org.eclipse.gmt.modisco.infra.query.jxpath.query

## Class JXPathModelQueryAdapter

- java.lang.Object
- - org.eclipse.gmt.modisco.infra.query.core.AbstractModelQuery
  - - org.eclipse.gmt.modisco.infra.query.jxpath.query.JXPathModelQueryAdapter

Deprecated.
replaced by EMF Facet, cf. https://bugs.eclipse.org/bugs/show_bug.cgi?id=470578

    @Deprecated
    public class JXPathModelQueryAdapter
    extends AbstractModelQuery

### Constructor Summary

Constructors
Constructor and Description
`JXPathModelQueryAdapter(JXPathModelQuery modelQuery)` Deprecated.

### Method Summary

All Methods Instance Methods Concrete Methods Deprecated Methods
`java.lang.Object` `basicEvaluate(EObject context, java.util.List<ModelQueryParameterValue> parameterValues)` Deprecated. This method must be overridden by each sub class to implement query evaluation.

### Methods inherited from class org.eclipse.gmt.modisco.infra.query.core.AbstractModelQuery

`basicEvaluate, evaluate, evaluate, evaluate, getModelQuery, setCheckResult, toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### JXPathModelQueryAdapter

    public JXPathModelQueryAdapter(JXPathModelQuery modelQuery)

Deprecated.

### Method Detail

#### basicEvaluate

    public java.lang.Object basicEvaluate(EObject context,
                                          java.util.List<ModelQueryParameterValue> parameterValues)
                                   throws ModelQueryException

Deprecated.
This method must be overridden by each sub class to implement query evaluation.

Specified by:
  `basicEvaluate` in class `AbstractModelQuery`
Parameters:
  `context` - The query evaluation context
  `parameterValues` - The query parameter values
Returns:
  A list of ModelQueryResult (one per evaluation)
Throws:
  `ModelQueryExecutionException`
  `ModelQueryException`